Package org.eclipse.lemminx.settings

## Class InitializationOptionsSettings

- java.lang.Object
- - org.eclipse.lemminx.settings.InitializationOptionsSettings

    public class InitializationOptionsSettings
    extends Object

Represents all settings sent from the server { 'settings': { 'xml': {...}, 'http': {...} } }

### Constructor Summary

Constructors
`InitializationOptionsSettings()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `getSettings()`
`static Object` `getSettings​(org.eclipse.lsp4j.InitializeParams initializeParams)` Returns the "settings" section of `InitializeParams.getInitializationOptions()`.
`void` `setSettings​(Object settings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InitializationOptionsSettings

    public InitializationOptionsSettings()

### Method Detail

#### getSettings

    public Object getSettings()

#### setSettings

    public void setSettings​(Object settings)

#### getSettings

    public static Object getSettings​(org.eclipse.lsp4j.InitializeParams initializeParams)

Returns the "settings" section of `InitializeParams.getInitializationOptions()`. Here a sample of initializationOptions

     "initializationOptions": {
                            "settings": {
                                    "xml": {
                                            "catalogs": [
                                                    "catalog.xml",
                                                    "catalog2.xml"
                                            ],
                                            "logs": {
                                                    "client": true
                                            },
                                            "format": {
                                                    "joinCommentLines": false,
                                                    "formatComments": true
                                            },
                                            ...
                                    }
                            }
                    }

Parameters:
  `initializeParams` -
Returns:
  the "settings" section of `InitializeParams.getInitializationOptions()`.